Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.dtd
Class ListDatatypeValidator

    java.lang.Object
      org.apache.xerces.impl.dv.dtd.ListDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

    public class ListDatatypeValidator

extends java.lang.Object
implements DatatypeValidator

For list types: ENTITIES, IDREFS, NMTOKENS.

Version:
  $Id: ListDatatypeValidator.java 446749 2006-09-15 21:51:23Z mrglavas $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`ListDatatypeValidator(DatatypeValidator itemDV)`

Method Summary
`void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDatatypeValidator

    public ListDatatypeValidator(DatatypeValidator itemDV)

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  Checks that "content" string is valid. If invalid a Datatype validation exception is thrown.

  Specified by:
    `validate` in interface `DatatypeValidator`
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context
  Throws:
    `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
    `InvalidDatatypeValueException`
  See Also:
    `InvalidDatatypeValueException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.